Subject: ZOracleDA isn't imported in Zope
From: Alexei Ustyuzhaninov <[email-masked]>
To: [email-masked]
Date: Tue, 19 Oct 1999 19:26:11 +0400

Hi zopsters!

I have installed Oracle adapter in my system and when I try to click on
ZOracleDA product in Control Panel I will get the following output:

Product at /Control_Panel / Products / ZOracleDA 

ZOracleDA Import Traceback

Traceback (innermost last):
  File "E:\PROGRA~1\kayak\lib\python\OFS\Application.py", line 393, in
import_products
    product=__import__(pname, global_dict, global_dict, silly)
  File "E:\PROGRA~1\kayak\lib\python\Products\ZOracleDA\__init__.py",
line 103, in ?
    import DA
  File "E:\PROGRA~1\kayak\lib\python\Products\ZOracleDA\DA.py", line
103, in ?
    from db import DB
  File "E:\PROGRA~1\kayak\lib\python\Products\ZOracleDA\db.py", line
101, in ?
    import DCOracle, DateTime
  File "E:\Program Files\Python\Lib\DCOracle\__init__.py", line 66, in ?
    from ocidb import Connect, error
  File "E:\Program Files\Python\Lib\DCOracle\ocidb.py", line 50, in ?
    import oci_, ociCurs, ociProc
ImportError: DLL load failed: Access is denied.

The funniest thing about this is that I can import either ZOracleDA or
DCOracle in python window as well as connect to Oracle server with
DCOracle tools.

Can anybody help me with this please?

The configuration is as follows: WinNT 4.0, Zope 2.0.1, ZOracleDA 2.1.0,
DCOracle 1.3.0.

Thanks,